<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.person.mapper.EstablishFilecardMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="establishFilecardResultMap" type="org.springblade.person.entity.EstablishFilecard">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="parent_id" property="parentId"/>
        <result column="calculation_year" property="calculationYear"/>
        <result column="family_code" property="familyCode"/>
        <result column="helping_cadres" property="helpingCadres"/>
        <result column="helping_cadre_units" property="helpingCadreUnits"/>
        <result column="helping_cadres_phone" property="helpingCadresPhone"/>
        <result column="registration_population" property="registrationPopulation"/>
        <result column="poverty_attribute" property="povertyAttribute"/>
        <result column="identify_month" property="identifyMonth"/>
        <result column="poverty_alleviation_year" property="povertyAlleviationYear"/>
        <result column="family_labor_force" property="familyLaborForce"/>
        <result column="is_endowment_insurance" property="isEndowmentInsurance"/>
        <result column="is_medical_security" property="isMedicalSecurity"/>
        <result column="is_school_students" property="isSchoolStudents"/>
        <result column="is_education_guarantee" property="isEducationGuarantee"/>
        <result column="income" property="income"/>
    </resultMap>


    <select id="selectEstablishFilecardPage" resultMap="establishFilecardResultMap">
        select * from personnel_establish_filecard where is_deleted = 0
    </select>

</mapper>
